Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class FindNonMedicinalProductResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.dics.protocol.v4.FindNonMedicinalProductResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:54:47+02:00",
               comments="JAXB RI v2.2.11")
    public class FindNonMedicinalProductResponse

extends StatusResponseType
implements Serializable

Java class for FindNonMedicinalProductResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindNonMedicinalProductResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="NonMedicinalProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultNonMedicinalProductType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="SearchDate" use="required" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindNonMedicinalProductResponse()`

Method Summary
`List<ConsultNonMedicinalProductType>` | `getNonMedicinalProducts()` Gets the value of the nonMedicinalProducts property.
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindNonMedicinalProductResponse

    public FindNonMedicinalProductResponse()

Method Detail

### getNonMedicinalProducts

    public List<ConsultNonMedicinalProductType> getNonMedicinalProducts()

  Gets the value of the nonMedicinalProducts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nonMedicinalProducts property.

  For example, to add a new item, do as follows:

          getNonMedicinalProducts().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultNonMedicinalProductType`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.